Upload CSV for Access Points

POST /internal/admin/comms/v1/location/access-points

Operation id: post__internal_admin_comms_v1_location_access_points

Tags: User Location

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — CSV uploaded successfully

Content type: application/json

400 — Bad request

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Request body

Required: Yes

multipart/form-data

Schema

PropertyTypeRequiredDescription
tenant_idstringNoTenant id of records
csvFilestring (binary)NoCSV File Upload of Access Points
{
  "type": "object",
  "required": "-tenant_id -csvFile",
  "properties": {
    "tenant_id": {
      "type": "string",
      "description": "Tenant id of records"
    },
    "csvFile": {
      "type": "string",
      "format": "binary",
      "description": "CSV File Upload of Access Points"
    }
  }
}

Response models

200 — CSV uploaded successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
totalRecordsintegerNo
successfullyProcessedRecordsintegerNo
ignoredRecordsintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "totalRecords": {
      "type": "integer"
    },
    "successfullyProcessedRecords": {
      "type": "integer"
    },
    "ignoredRecords": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
totalRecordsintegerNo
successfullyProcessedRecordsintegerNo
ignoredRecordsintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "totalRecords": {
      "type": "integer"
    },
    "successfullyProcessedRecords": {
      "type": "integer"
    },
    "ignoredRecords": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}